package utils;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.nio.charset.StandardCharsets;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;

import net.sf.jasperreports.engine.JRException;
import net.sf.jasperreports.engine.JasperExportManager;
import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperPrint;
import net.sf.jasperreports.engine.data.JsonDataSource;

public class ReportRoutines {

	private String REPORT_PATH = "C:\\tfg\\gmartinc\\reports\\parte.jasper";
	private String REPORT_EXPORT_PATH = "C:\\tfg\\gmartinc\\reports";
//	private static String REPORT_DS = "C:\\Users\\Guillem\\Desktop\\reports\\parte.json";

	public void generarPDF(String json) throws IOException {
		HashMap<String, Object> map = new HashMap<>();

		try {
			InputStream is = new ByteArrayInputStream(json.getBytes(StandardCharsets.UTF_8));
			JsonDataSource ds;
			ds = new JsonDataSource(is);
			JasperPrint print = JasperFillManager.fillReport(REPORT_PATH, map, ds);
			JasperExportManager.exportReportToPdfFile(print, REPORT_EXPORT_PATH + "\\Parte_" + (new SimpleDateFormat("ddMMyyyyHHmmss").format(new Date())) + ".pdf");
			
//			byte[] archivo = null ;
//			archivo = JasperExportManager.exportReportToPdf(print);
//			FileOutputStream fos = new FileOutputStream("Parte_" + (new SimpleDateFormat("ddMMyyyyHHmmss").format(new Date())) + ".pdf"); 
//			try {  
//			    fos.write(archivo);
//			 } finally {
//			    fos.close();
//			 }			
			
		} catch (JRException e) {
			e.printStackTrace();
		}

	}

}
