package ejb;

import java.util.List;
import java.util.Set;

import javax.ejb.Local;

import jpa.ParteJPA;
import jpa.UsuarioJPA;

@Local
public interface DTFacadeLocal {
	
	/**
	 * 
	 * @param login		nom d'usuari per autenticar
	 * @param pass		contrasenya per autenticar
	 * @return			
	 */
	public UsuarioJPA autenticarUsuario(String login, String pass);
	
	/**
	 * 
	 * @return
	 */
	public List<UsuarioJPA> verUsuarios();
	
	/**
	 * 
	 * @param id
	 * @return
	 */
	public Set<ParteJPA> verPartesPorUsuario(int id);
	
	/**
	 * 
	 * @param id
	 * @return
	 */
	public ParteJPA verParte(int id);
	
	/**
	 * 
	 * @param json
	 */
	public void generarPdf(String json);

}
